package com.fdkankan.platform.user.factory.impl;

import com.fdkankan.platform.user.factory.*;

public class Alipay implements Pay{

    @Override
    public Commerce commercePay() {
        return new AlipayCommerce();
    }

    @Override
    public Entity entityPay() {
        return new AlipayEntity();
    }

    @Override
    public Expansion expansionPay() {
        return new AlipayExpansion();
    }

    @Override
    public Recharge rechargePay() {
        return new AlipayRecharge();
    }
}
